* {
    box-sizing: border-box;
}

body {
    /* overflow: hidden; */
    margin: 0;
    padding: 0;
}

.hidden {
    display: none;
}


.video-player {
    width: 50vw;
    height: 50vh;
    /* height: 65vh;
    width: 55vw; */
    margin: 0;
    position: absolute;
    z-index: 2;
    top: 10%;
    background-position: center;
    transform: rotateX(0) rotateY(0);
    /* border: solid 1px green; */
    overflow: hidden;
}

.video-fullscreen {
    width: 100vw;
    height: 100vh;
    margin: 0;
    padding: 0;
    position: absolute;
    top: 0;
    left: 0px;
    z-index: 1;
    overflow: hidden;
}

#video-container {
    width: 100vw;
    height: 101vh;
    margin: 0;
    padding: 0;
    position: relative;
    top: 0;
    left: 0;
    z-index: 1;
    /* border: solid 1px purple; */
}

/* video {
    position: relative;
    width: 100vw;
    height: 101vh;
    aspect-ratio: 16/9;
    object-fit: cover;
} */

/* #video-2, #video-3, #video-4, #video-6, #video-7 {
    position: relative;
    width: 100vw;
    height: 101vh;
    aspect-ratio: 16/9;
    object-fit: cover;
} */


/* #video-1 {
    position: absolute;
    z-index: 99999999999999999999;
} */

/* #video-3 {
    position: absolute;
    z-index: 999;
} */

/* #video-5 {
    position: relative;
    width: 100vw;
    height: 101vh;
    aspect-ratio: 16/9;
    background-color: black !important;
    object-fit: black contain !important;
} */

.video-controls {
    right: 0;
    left: 0;
    padding: 0px;
    position: absolute;
    bottom: 0;
    /* border: solid 2px orange; */
    /* top: 200px; */
    /* transition: all 0.2s ease; */
    /* background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.5)); */
    z-index: 9999;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.unfade {
    opacity: 1;
}

/* #video-controls {

    position: absolute;
    right: 0;
    left: 0;
    bottom: 0;
    background-color: transparent;
    width: 100%;
    padding: 0 10px;
    transition: all 0.2s ease;

    z-index: 20;
} */

.video-controls.hidden {
    opacity: 0;
}

.control-container {
    display: flex;
    justify-content: left;
    align-items: center;
    /* height: 800px; */
    /* border: solid 1px red; */
    position: relative;
    width: 100vw;
    /* top: 40px; */
    /* margin-bottom: -12px; */
    /* position: absolute; */
}

.play-pause-btn {
    cursor: pointer;
    border: none;
    color: white;
    opacity: 0.6;
    width: 40px;
    height: 40px;
    margin: 0;
    display: flex;
    justify-content: center;
    align-content: center;
    background-color: transparent;
    position: relative;
    left: 3px;
    top: 5.5px;
    /* border: solid 1px red; */
}

.fullscreen-btn {
    cursor: pointer;
    border: none;
    color: white;
    opacity: 0.6;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-content: center;
    background-color: transparent;
    position: relative;
    left: 0px;
    top: 5px;
}

/* button {
    cursor: pointer;
    border: solid 1px blue;
    background-color: transparent;
    color: white;
    margin: 0;
} */

button * {
    pointer-events: none;
}

.time {
    /* border: solid 1px green; */
    /* display: block; */
    /* background-color: #444; */
    color: white;
    position: relative;
    width: 90px;
    /* height: 8.4px; */
    /* display: flex;
    flex-wrap: nowrap;
    justify-content: space-between; */
    margin-bottom: -5px;
    font-family: 'din-2014';
    font-weight: 200;
    font-style: normal;
    font-size: 14px;
}

.video-scrub {
    height: 16px;
    width: 100vw;
    margin-bottom: -8px;
    /* margin-right: 10px; */
    /* border: solid 1px blue; */
}

progress {
    -webkit-appearance: none;
    appearance: none;
    border-radius: 2px;
    width: 94.5vw;
    height: 8.4px;
    /* margin-right: 10px; */
    pointer-events: none;
    position: relative;
    margin-top: 3px;
    /* margin-left: -2px; */
    /* cursor: pointer; */
    /* top: 0; */
    /* border: solid 1px orange; */
}

progress::-webkit-progress-bar {
    background-color: #474545;
    border-radius: 2px;
    display: none;
}

.scrub {
    position: absolute;
    left: 30px;
    width: 94.5vw;
    cursor: pointer;
    margin: 0;
    margin-top: 6px;
}

.scrub-fullscreen {
    position: absolute;
    width: 85%;
    cursor: pointer;
    margin: 0;
    margin-top: 1px;
}

.scrub:hover+.scrub-tooltip {
    display: block;
}

.scrub-tooltip {
    display: none;
    position: absolute;
    top: 5px;
    margin-left: -20px;
    font-size: 12px;
    padding: 3px;
    content: attr(data-title);
    font-weight: bold;
    color: #fff;
    /* opacity: 0.5; */
    pointer-events: none;
}

input[type=range] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    height: 4px;
    opacity: 0.2;
    /* background: black; */
    cursor: pointer;
    border-radius: 10px;
    margin-left: 10px;
    margin-top: 5px;
    width: 94vw;
}
  
input[type=range]:focus {
    outline: none;
}
  
input[type=range]::-webkit-slider-runnable-track {
    /* appearance: auto; */
    width: 100vw;
    /* height: 7px; */
    cursor: pointer;
    border-radius: 1.3px;
    -webkit-appearance: none;
    transition: all 0.4s ease;
    /* opacity: 1; */
    /* background-color: black; */
    /* border: solid 1px red; */
}
  
input[type=range]::-webkit-slider-thumb {
    height: 9px;
    width: 3px;
    background-color: rgb(255, 255, 255);
    opacity: 1;
    /* opacity: 0.5; */
    /* border-radius: 4px; */
    /* background: var(--youtube-red); */
    cursor: pointer;
    -webkit-appearance: none;
    margin-left: -1px;
}
  
/* input[type=range]:focus::-webkit-slider-runnable-track {
    background: transparent;
} */
  
/* input[type=range].volume {
    height: 5px;
    background-color: #fff;
}
  
input[type=range].volume::-webkit-slider-runnable-track {
    background-color: transparent;
}
  
input[type=range].volume::-webkit-slider-thumb {
    margin-left: 0;
    height: 14px;
    width: 14px;
    background: #fff;
} */
  
input[type=range]::-moz-range-track {
    width: 100%;
    height: 8.4px;
    cursor: pointer;
    border: 1px solid transparent;
    background: transparent;
    border-radius: 1.3px;
}
  
input[type=range]::-moz-range-thumb {
    height: 14px;
    width: 14px;
    border-radius: 50px;
    border: 1px solid var(--youtube-red);
    background: var(--youtube-red);
    cursor: pointer;
    margin-top: 5px;
}
  
input[type=range]:focus::-moz-range-track {
    outline: none;
}
  
/* input[type=range].volume::-moz-range-thumb {
    border: 1px solid #fff;
    background: #fff;
} */

/* .volume-controls {
    display: flex;
    align-items: center;
    margin-right: 10px;
    border: solid 1px hotpink;
}

.volume-controls input {
    width: 100px;
    opacity: 1;
    transition: all 0.4s ease;
}
  
.volume-controls:hover input, .volume-controls input:focus {
    width: 100px;
    opacity: 1;
} */

.hidden {
    display: none;
}

svg {
    width: 20px;
    height: 20px;
    /* fill: #fff; */
    /* stroke: #fff; */
    cursor: pointer;
    align-self: center;
}


.fade-out {
    animation: fade-me-out 3s ease forwards;
}

.fade-in {
    animation: fade-me-in 3s ease forwards;
}


@keyframes fade-me-out {
    0% {
        opacity: 1;
    }

    100% {
        z-index: -1;
        opacity: 0;
    }
}

@keyframes fade-me-in {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
        /* z-index: 2; */
    }
}
